## garlic 1.1

=== Makefile ===
CC = gcc

CCOPT = -O
#CCOPT = -O3
#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3

HEADERS = defines.h typedefs.h

LIBPATH = -L/usr/X11R6/lib

LINKOPT = -lX11 -lm

OBJECTS =	garlic.o print_usage.o print_help.o print_version.o \
		register.o alloc_gui.o alloc_config.o alloc_mol_complex.o \
		free_memory.o display_init.o disp_color_cap.o \
		color_shifts.o calc_params.o errmsg.o warnmsg.o \
		openfile_r.o read_config.o open_cfg_file.o extract_int.o \
		ex2ints.o extract_double.o ex2doubles.o extract_phrase.o \
		extract_index.o ex_rot_steps.o ex_trans_steps.o \
		ex_slab_steps.o ex_fading_steps.o extract_args.o \
		parse_options.o parse_color.o load_font.o prepare_cursor.o \
		print_config.o create_windows.o make_pixmap.o \
		rgbs_from_xcolor.o pixel_from_rgbs.o size_hints.o wmhints.o \
		select_events.o hide_control.o load_complex.o read_file.o \
		fileformat.o is_pdb.o read_pdb.o init_header.o pdb_atom.o \
		extract_field.o copypur.o realloc_pdb.o headerline.o \
		geomcenter.o init_slab.o init_fading.o flipvector.o \
		translate_complex.o extent.o stereo_data.o strong_bonds.o \
		check_dist.o add_bond.o event_loop.o alloc_nearest.o \
		init_nearest.o main_refresh.o key_press.o rotation_angle.o \
		rotate.o translation_shift.o translate.o slab_shift.o \
		move_back_slab.o move_front_slab.o fading_shift.o \
		move_back_fading.o move_front_fading.o key_release.o \
		refresh_pixmap.o slab.o no_slab.o planar_slab.o \
		sphere_slab.o half_sphere_slab.o cylin_slab.o \
		half_cylin_slab.o project_atoms.o fading.o prepare_color.o \
		no_fading.o planar_fading.o sphere_fading.o \
		half_sphere_fading.o cylin_fading.o half_cylin_fading.o \
		reset_pos_flag.o atoms_style1.o atoms_style2.o \
		atoms_style3.o atoms_style4.o atoms_style5.o atoms_style6.o \
		atoms_style7.o bonds_style1.o bond_style1_quad1.o \
		bond_style1_quad2.o bond_style1_quad3.o bond_style1_quad4.o \
		bonds_style2.o bond_style2_quad1.o bond_style2_quad2.o \
		bond_style2_quad3.o bond_style2_quad4.o bonds_style3.o \
		interpolate_color.o bond_style3_quad1.o bond_style3_quad2.o \
		bond_style3_quad3.o bond_style3_quad4.o bonds_style4.o \
		add_two_colors.o bond_style4_quad1.o bond_style4_quad2.o \
		bond_style4_quad3.o bond_style4_quad4.o bonds_style5.o \
		add_three_colors.o bond_style5_quad1.o bond_style5_quad2.o \
		bond_style5_quad3.o bond_style5_quad4.o draw_system.o \
		motion_notify.o assign_hyphob.o control_refresh.o \
		print_cursor_names.o main_resize.o init_runtime.o add_char.o \
		input_refresh.o eat_left_char.o eat_right_char.o \
		execute_command1.o execute_command2.o truncate_comm.o \
		create_log_file.o load.o catch.o discard.o select.o \
		full_select.o include.o chains.o residue_ranges.o \
		extract_token.o extract_serials.o residue_names.o \
		atom_names.o select_to_stdout.o exclude.o skip_keyword.o \
		apply_selection.o show.o hide.o color_schemes.o \
		init_colors.o color.o special_select.o select_hetero.o \
		quick_select.o replace_command.o atoms.o bonds.o \
		execute_script.o comm_rotate.o comm_translate.o comm_slab.o \
		comm_fading.o log.o prepare_backbone.o background.o \
		text_background.o text_foreground.o change_slab.o \
		change_fading.o full_colors.o is_old.o font.o cpk.o zebra.o \
		chain.o color_hyphob.o mix_colors.o comm_backbone.o \
		hide_no_refresh.o show_no_refresh.o backbone.o hybonds.o \
		gen_hybonds.o hybond_style.o show_backbone.o \
		hide_backbone.o pdb_id.o gen_plane.o stereo.o mono.o \
		position.o copy_doubles.o title.o free_runtime.o \
		draw_titles.o foreground.o prepare_oc.o check_con.o \
		select_complement.o labels.o draw_labels.o assign_radii.o \
		spacefill.o spacefill_color.o balls.o center.o save.o \
		write_line.o big_spheres.o tag.o draw_tags.o \
		tag_position.o button_press.o control_click.o \
		identify_button.o init_buttons.o write_hints.o \
		extract_sequence.o count_residues.o sequence.o \
		parse_sequence.o sequence_from.o load_sequence.o \
		select_sequence.o compare_sequences.o dihedral_angles.o \
		extract_ncaco.o calculate_phi.o calculate_psi.o \
		vector_product.o absolute_value.o scalar_product.o \
		count_nc_bonds.o cis_trans.o select_cis_trans.o \
		ramachandran.o draw_ramachandran.o rama_frame.o \
		rama_mouse.o read_fasta.o save_sequence.o wheel.o \
		draw_wheel.o hydrophobicity.o weight_colors.o angle.o \
		radius.o select_sphere.o disulfide_bonds.o venn.o \
		draw_venn.o sp2.o sp2_color.o save_seq_w_numbers.o \
		ssb.o select_alternate.o select_model.o color_model.o \
		window.o plot.o draw_plots.o init_hyphob.o plot_mouse.o \
		project_planes.o draw_planes.o plane_extent.o \
		rotate_plane.o translate_plane.o comm_move.o plane.o \
		select_above.o select_below.o big2.o scale.o pattern.o \
		dock.o align_normal.o align_complexes.o docking_window.o \
		docking_resize.o docking_refresh.o docking_project.o \
		list_exposed_polar.o is_polar.o representative_atoms.o \
		exclude_distant.o draw_bottom.o draw_top.o copy_sequence.o \
		compare.o draw_comparison.o neighborhood.o balls2.o \
		comparison_mouse.o

garlic: $(OBJECTS)
	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)

print_usage.o: print_usage.c $(HEADERS)
	$(CC) -c $(CCOPT) print_usage.c

print_help.o: print_help.c $(HEADERS)
	$(CC) -c $(CCOPT) print_help.c

print_version.o: print_version.c $(HEADERS)
	$(CC) -c $(CCOPT) print_version.c

register.o: register.c $(HEADERS)
	$(CC) -c $(CCOPT) register.c

garlic.o: garlic.c $(HEADERS)
	$(CC) -c $(CCOPT) garlic.c

alloc_gui.o: alloc_gui.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_gui.c

alloc_config.o: alloc_config.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_config.c

alloc_mol_complex.o: alloc_mol_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_mol_complex.c

free_memory.o: free_memory.c $(HEADERS)
	$(CC) -c $(CCOPT) free_memory.c

display_init.o: display_init.c $(HEADERS)
	$(CC) -c $(CCOPT) display_init.c

disp_color_cap.o: disp_color_cap.c $(HEADERS)
	$(CC) -c $(CCOPT) disp_color_cap.c

color_shifts.o: color_shifts.c $(HEADERS)
	$(CC) -c $(CCOPT) color_shifts.c

calc_params.o: calc_params.c $(HEADERS)
	$(CC) -c $(CCOPT) calc_params.c

errmsg.o: errmsg.c $(HEADERS)
	$(CC) -c $(CCOPT) errmsg.c

warnmsg.o: warnmsg.c $(HEADERS)
	$(CC) -c $(CCOPT) warnmsg.c

openfile_r.o: openfile_r.c $(HEADERS)
	$(CC) -c $(CCOPT) openfile_r.c

read_config.o: read_config.c $(HEADERS)
	$(CC) -c $(CCOPT) read_config.c

open_cfg_file.o: open_cfg_file.c $(HEADERS)
	$(CC) -c $(CCOPT) open_cfg_file.c

extract_int.o: extract_int.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_int.c

ex2ints.o: ex2ints.c $(HEADERS)
	$(CC) -c $(CCOPT) ex2ints.c

extract_double.o: extract_double.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_double.c

ex2doubles.o: ex2doubles.c $(HEADERS)
	$(CC) -c $(CCOPT) ex2doubles.c

extract_phrase.o: extract_phrase.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_phrase.c

extract_index.o: extract_index.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_index.c

ex_rot_steps.o: ex_rot_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_rot_steps.c

ex_trans_steps.o: ex_trans_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_trans_steps.c

ex_slab_steps.o: ex_slab_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_slab_steps.c

ex_fading_steps.o: ex_fading_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_fading_steps.c

extract_args.o: extract_args.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_args.c

parse_options.o: parse_options.c $(HEADERS)
	$(CC) -c $(CCOPT) parse_options.c

parse_color.o: parse_color.c $(HEADERS)
	$(CC) -c $(CCOPT) parse_color.c

load_font.o: load_font.c $(HEADERS)
	$(CC) -c $(CCOPT) load_font.c

prepare_cursor.o: prepare_cursor.c $(HEADERS)
	$(CC) -c $(CCOPT) prepare_cursor.c

print_config.o: print_config.c $(HEADERS)
	$(CC) -c $(CCOPT) print_config.c

create_windows.o: create_windows.c $(HEADERS) garlic.xpm control.xpm
	$(CC) -c $(CCOPT) create_windows.c

make_pixmap.o: make_pixmap.c $(HEADERS)
	$(CC) -c $(CCOPT) make_pixmap.c

rgbs_from_xcolor.o: rgbs_from_xcolor.c $(HEADERS)
	$(CC) -c $(CCOPT) rgbs_from_xcolor.c

pixel_from_rgbs.o: pixel_from_rgbs.c $(HEADERS)
	$(CC) -c $(CCOPT) pixel_from_rgbs.c

size_hints.o: size_hints.c $(HEADERS)
	$(CC) -c $(CCOPT) size_hints.c

wmhints.o: wmhints.c $(HEADERS)
	$(CC) -c $(CCOPT) wmhints.c

select_events.o: select_events.c $(HEADERS)
	$(CC) -c $(CCOPT) select_events.c

hide_control.o: hide_control.c $(HEADERS)
	$(CC) -c $(CCOPT) hide_control.c

load_complex.o: load_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) load_complex.c

read_file.o: read_file.c $(HEADERS)
	$(CC) -c $(CCOPT) read_file.c

fileformat.o: fileformat.c $(HEADERS)
	$(CC) -c $(CCOPT) fileformat.c

is_pdb.o: is_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) is_pdb.c

read_pdb.o: read_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) read_pdb.c

init_header.o: init_header.c $(HEADERS)
	$(CC) -c $(CCOPT) init_header.c

pdb_atom.o: pdb_atom.c $(HEADERS)
	$(CC) -c $(CCOPT) pdb_atom.c

extract_field.o: extract_field.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_field.c

copypur.o: copypur.c $(HEADERS)
	$(CC) -c $(CCOPT) copypur.c

realloc_pdb.o: realloc_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) realloc_pdb.c

headerline.o: headerline.c $(HEADERS)
	$(CC) -c $(CCOPT) headerline.c

geomcenter.o: geomcenter.c $(HEADERS)
	$(CC) -c $(CCOPT) geomcenter.c

init_slab.o: init_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) init_slab.c

init_fading.o: init_fading.c $(HEADERS)
	$(CC) -c $(CCOPT) init_fading.c

flipvector.o: flipvector.c $(HEADERS)
	$(CC) -c $(CCOPT) flipvector.c

translate_complex.o: translate_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) translate_complex.c

extent.o: extent.c $(HEADERS)
	$(CC) -c $(CCOPT) extent.c

stereo_data.o: stereo_data.c $(HEADERS)
	$(CC) -c $(CCOPT) stereo_data.c

strong_bonds.o: strong_bonds.c $(HEADERS)
	$(CC) -c $(CCOPT) strong_bonds.c

check_dist.o: check_dist.c $(HEADERS)
	$(CC) -c $(CCOPT) check_dist.c

add_bond.o: add_bond.c $(HEADERS)
	$(CC) -c $(CCOPT) add_bond.c

event_loop.o: event_loop.c $(HEADERS)
	$(CC) -c $(CCOPT) event_loop.c

alloc_nearest.o: alloc_nearest.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_nearest.c

init_nearest.o: init_nearest.c $(HEADERS)
	$(CC) -c $(CCOPT) init_nearest.c

main_refresh.o: main_refresh.c $(HEADERS)
	$(CC) -c $(CCOPT) main_refresh.c

key_press.o: key_press.c $(HEADERS)
	$(CC) -c $(CCOPT) key_press.c

rotation_angle.o: rotation_angle.c $(HEADERS)
	$(CC) -c $(CCOPT) rotation_angle.c

rotate.o: rotate.c $(HEADERS)
	$(CC) -c $(CCOPT) rotate.c

translation_shift.o: translation_shift.c $(HEADERS)
	$(CC) -c $(CCOPT) translation_shift.c

translate.o: translate.c $(HEADERS)
	$(CC) -c $(CCOPT) translate.c

slab_shift.o: slab_shift.c $(HEADERS)
	$(CC) -c $(CCOPT) slab_shift.c

move_back_slab.o: move_back_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) move_back_slab.c

move_front_slab.o: move_front_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) move_front_slab.c

fading_shift.o: fading_shift.c $(HEADERS)
	$(CC) -c $(CCOPT) fading_shift.c

move_back_fading.o: move_back_fading.c $(HEADERS)
	$(CC) -c $(CCOPT) move_back_fading.c

move_front_fading.o: move_front_fading.c $(HEADERS)
	$(CC) -c $(CCOPT) move_front_fading.c

key_release.o: key_release.c $(HEADERS)
	$(CC) -c $(CCOPT) key_release.c

refresh_pixmap.o: refresh_pixmap.c $(HEADERS)
	$(CC) -c $(CCOPT) refresh_pixmap.c

slab.o: slab.c $(HEADERS)
	$(CC) -c $(CCOPT) slab.c

no_slab.o: no_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) no_slab.c

planar_slab.o: planar_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) planar_slab.c

sphere_slab.o: sphere_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) sphere_slab.c

half_sphere_slab.o: half_sphere_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) half_sphere_slab.c

cylin_slab.o: cylin_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) cylin_slab.c

half_cylin_slab.o: half_cylin_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) half_cylin_slab.c

project_atoms.o: project_atoms.c $(HEADERS)
	$(CC) -c $(CCOPT) project_atoms.c

fading.o: fading.c $(HEADERS)
	$(CC) -c $(CCOPT) fading.c

prepare_color.o: prepare_color.c $(HEADERS)
	$(CC) -c $(CCOPT) prepare_color.c

no_fading.o: no_fading.c $(HEADERS)
	$(CC) -c $(CCOPT) no_fading.c

planar_fading.o: planar_fading.c $(HEADERS)

## garlic 1.3

=== Makefile ===
CC = gcc

#CCOPT = -O
CCOPT = -O3
#CCOPT = -O3 -g3
#CCOPT = -ansi -pedantic -g3
#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3

HEADERS = defines.h typedefs.h

LIBPATH = -L/usr/X11R6/lib

LINKOPT = -lX11 -lm

OBJECTS =	garlic.o print_usage.o print_help.o print_version.o \
		register.o alloc_gui.o alloc_config.o alloc_mol_complex.o \
		free_memory.o display_init.o disp_color_cap.o \
		color_shifts.o calc_params.o errmsg.o warnmsg.o \
		openfile_r.o read_config.o open_config_file.o extract_int.o \
		ex2ints.o extract_double.o ex2doubles.o extract_phrase.o \
		extract_index.o ex_rot_steps.o ex_trans_steps.o \
		ex_slab_steps.o ex_fading_steps.o extract_args.o \
		parse_options.o parse_color.o load_font.o prepare_cursor.o \
		print_config.o create_windows.o make_pixmap.o \
		rgbs_from_xcolor.o pixel_from_rgbs.o size_hints.o wmhints.o \
		select_events.o hide_control.o load_complex.o read_file.o \
		fileformat.o is_pdb.o read_pdb.o init_header.o pdb_atom.o \
		extract_field.o copypur.o realloc_pdb.o headerline.o \
		geomcenter.o init_slab.o init_fading.o flip_vector.o \
		translate_complex.o extent.o stereo_data.o strong_bonds.o \
		pseudo_bonds.o check_dist.o add_bond.o event_loop.o \
		alloc_nearest.o init_nearest.o main_refresh.o key_press.o \
		rotation_angle.o rotate.o translation_shift.o translate.o \
		slab_shift.o move_back_slab.o move_front_slab.o \
		fading_shift.o move_back_fading.o move_front_fading.o \
		key_release.o refresh_pixmap.o slab.o no_slab.o \
		planar_slab.o sphere_slab.o half_sphere_slab.o cylin_slab.o \
		half_cylin_slab.o project_atoms.o fading.o prepare_color.o \
		no_fading.o planar_fading.o sphere_fading.o \
		half_sphere_fading.o cylin_fading.o half_cylin_fading.o \
		reset_pos_flag.o atoms_style1.o atoms_style2.o \
		atoms_style3.o atoms_style4.o atoms_style5.o atoms_style6.o \
		atoms_style7.o bonds_style1.o bond_style1_quad1.o \
		bond_style1_quad2.o bond_style1_quad3.o bond_style1_quad4.o \
		bonds_style2.o bond_style2_quad1.o bond_style2_quad2.o \
		bond_style2_quad3.o bond_style2_quad4.o bonds_style3.o \
		interpolate_color.o bond_style3_quad1.o bond_style3_quad2.o \
		bond_style3_quad3.o bond_style3_quad4.o bonds_style4.o \
		add_two_colors.o bond_style4_quad1.o bond_style4_quad2.o \
		bond_style4_quad3.o bond_style4_quad4.o bonds_style5.o \
		add_three_colors.o bond_style5_quad1.o bond_style5_quad2.o \
		bond_style5_quad3.o bond_style5_quad4.o draw_system.o \
		motion_notify.o assign_hyphob.o control_refresh.o \
		print_cursor_names.o main_resize.o init_runtime.o \
		add_char.o input_refresh.o eat_left_char.o eat_right_char.o \
		execute_command1.o execute_command2.o truncate_comm.o \
		create_log_file.o load.o catch.o discard.o select.o \
		full_select.o include.o chains.o residue_ranges.o \
		extract_token.o extract_serials.o residue_names.o \
		atom_names.o exclude.o skip_keyword.o apply_selection.o \
		show.o hide.o color_schemes.o init_colors.o color.o \
		special_select.o select_hetero.o select_element.o \
		select_atoms.o quick_select.o replace_command.o atoms.o \
		bonds.o execute_script.o comm_rotate.o comm_translate.o \
		comm_slab.o comm_fading.o log.o prepare_backbone.o \
		background.o text_background.o text_foreground.o \
		change_slab.o change_fading.o full_colors.o is_old.o \
		font.o cpk.o zebra.o chain.o color_hyphob.o mix_colors.o \
		comm_backbone.o hide_no_refresh.o show_no_refresh.o \
		backbone.o hybonds.o generate_hybonds.o hybond_style.o \
		show_backbone.o hide_backbone.o pdb_id.o generate_plane.o \
		stereo.o mono.o position.o copy_doubles.o title.o \
		free_runtime.o draw_titles.o foreground.o prepare_oc.o \
		select_complement.o labels.o draw_labels.o \
		assign_radii.o spacefill.o spacefill_color.o draw_balls.o \
		center.o save.o write_line.o big_spheres.o tag.o \
		draw_tags.o tag_position.o button_press.o control_click.o \
		identify_button.o init_buttons.o write_hints.o \
		extract_sequence.o count_residues.o sequence.o \
		parse_sequence.o sequence_from.o load_sequence.o \
		select_sequence.o compare_sequences.o dihedral_angles.o \
		extract_ncaco.o phi_from_cncac.o psi_from_ncaco.o \
		vector_product.o absolute_value.o scalar_product.o \
		omega_from_cacnca.o select_cis_trans.o \
		ramachandran.o draw_ramachandran.o rama_frame.o \
		rama_mouse.o read_fasta.o save_sequence.o wheel.o \
		wheel_top_view.o wheel_bottom_view.o hydrophobicity.o \
		weight_colors.o angle.o radius.o select_sphere.o \
		disulfide_bonds.o venn.o draw_venn.o spacefill2.o \
		sp2_color.o save_seq_w_numbers.o ssb.o select_alternate.o \
		select_model.o color_model.o window.o plot.o draw_plots.o \
		init_hyphob.o plot_mouse.o project_planes.o draw_planes.o \
		plane_extent.o rotate_plane.o translate_plane.o \
		comm_move.o plane.o select_above.o select_below.o big2.o \
		scale.o pattern.o dock.o align_normal.o align_complexes.o \
		docking_window.o docking_resize.o docking_refresh.o \
		docking_project.o list_exposed_polar.o is_polar.o \
		representative_atoms.o exclude_distant.o draw_bottom.o \
		draw_top.o copy_sequence.o compare.o draw_comparison.o \
		neighborhood.o draw_balls2.o comparison_mouse.o structure.o \
		parse_sec_structure.o copy_sec_structure.o \
		load_sec_structure.o save_sec_structure.o \
		alloc_sec_structure.o sec_structure_from.o create.o \
		open_template_file.o read_template_file.o \
		ex_template_residues.o count_template_res.o \
		create_structure.o required_atoms.o copy_template_atoms.o \
		fix_chain.o reset_phi.o extract_hncac.o phi_from_hncac.o \
		rotate_atom.o parallel_part.o reset_psi.o build_chain.o \
		extract_ncac.o translate_range.o rotate_range.o \
		apply_structure.o generate_phi_psi.o extract_nca.o \
		extract_c.o replace.o extract_n.o refresh_backbone.o \
		edit.o draw_edit_symbol.o draw_squid.o draw_seahorse.o \
		are_atoms_bound.o bond_partners.o edit_phi.o edit_psi.o \
		extract_cac.o small_ramachandran.o edit_omega.o \
		small_omega.o extract_h.o extract_o.o psi_from_ncacn.o \
		is_standard.o extract_four_atoms.o chi1_from_ncacbcg.o \
		chi1_from_ncacbsg.o chi1_from_ncacbcg1.o \
		chi1_from_ncacbog.o chi1_from_ncacbog1.o \
		chi2_from_cacbcgcd.o chi2_from_cacbcgod1.o \
		chi2_from_cacbcgnd1.o chi2_from_cacbcg1cd.o \
		chi2_from_cacbcgcd1.o chi2_from_cacbcgsd.o \
		chi3_from_cbcgcdne.o chi3_from_cbcgcdoe1.o \
		chi3_from_cbcgcdce.o chi3_from_cbcgsdce.o \
		chi4_from_cgcdnecz.o chi4_from_cgcdcenz.o \
		chi5_from_cdnecznh1.o is_part_of_ring.o edit_bond.o \
		edit_chi2.o extract_cacb.o edit_chi1.o extract_cbxg.o \
		resize_complex.o membrane.o inform_user.o \
		alpha_membrane.o extract_ca.o extract_vector.o \
		alpha_membrane_center.o init_membrane.o alpha_normal.o \
		project_membranes.o draw_membranes.o \
		rotate_membrane.o translate_membrane.o select_triplet.o \
		set.o set_phi.o set_psi.o set_omega.o set_chi1.o set_chi2.o \
		set_chi3.o extract_cgxd.o set_chi4.o extract_cdxe.o \
		set_chi5.o extract_necz.o pick_bond.o nice_bonds.o \
		covalent.o covalent2.o half_nice_bond.o probe.o \
		small_atoms.o small_atoms2.o draw_sticks.o half_stick.o \
		command_refresh.o acceptor_dipole.o donor_dipole.o sticks.o \
		balls.o blur.o blur_main_window.o group.o beta_membrane.o \
		extract_cg.o select_tm.o

garlic: $(OBJECTS)
	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)

print_usage.o: print_usage.c $(HEADERS)
	$(CC) -c $(CCOPT) print_usage.c

print_help.o: print_help.c $(HEADERS)
	$(CC) -c $(CCOPT) print_help.c

print_version.o: print_version.c $(HEADERS)
	$(CC) -c $(CCOPT) print_version.c

register.o: register.c $(HEADERS)
	$(CC) -c $(CCOPT) register.c

garlic.o: garlic.c $(HEADERS)
	$(CC) -c $(CCOPT) garlic.c

alloc_gui.o: alloc_gui.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_gui.c

alloc_config.o: alloc_config.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_config.c

alloc_mol_complex.o: alloc_mol_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_mol_complex.c

free_memory.o: free_memory.c $(HEADERS)
	$(CC) -c $(CCOPT) free_memory.c

display_init.o: display_init.c $(HEADERS)
	$(CC) -c $(CCOPT) display_init.c

disp_color_cap.o: disp_color_cap.c $(HEADERS)
	$(CC) -c $(CCOPT) disp_color_cap.c

color_shifts.o: color_shifts.c $(HEADERS)
	$(CC) -c $(CCOPT) color_shifts.c

calc_params.o: calc_params.c $(HEADERS)
	$(CC) -c $(CCOPT) calc_params.c

errmsg.o: errmsg.c $(HEADERS)
	$(CC) -c $(CCOPT) errmsg.c

warnmsg.o: warnmsg.c $(HEADERS)
	$(CC) -c $(CCOPT) warnmsg.c

openfile_r.o: openfile_r.c $(HEADERS)
	$(CC) -c $(CCOPT) openfile_r.c

read_config.o: read_config.c $(HEADERS)
	$(CC) -c $(CCOPT) read_config.c

open_config_file.o: open_config_file.c $(HEADERS)
	$(CC) -c $(CCOPT) open_config_file.c

extract_int.o: extract_int.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_int.c

ex2ints.o: ex2ints.c $(HEADERS)
	$(CC) -c $(CCOPT) ex2ints.c

extract_double.o: extract_double.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_double.c

ex2doubles.o: ex2doubles.c $(HEADERS)
	$(CC) -c $(CCOPT) ex2doubles.c

extract_phrase.o: extract_phrase.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_phrase.c

extract_index.o: extract_index.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_index.c

ex_rot_steps.o: ex_rot_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_rot_steps.c

ex_trans_steps.o: ex_trans_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_trans_steps.c

ex_slab_steps.o: ex_slab_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_slab_steps.c

ex_fading_steps.o: ex_fading_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_fading_steps.c

extract_args.o: extract_args.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_args.c

parse_options.o: parse_options.c $(HEADERS)
	$(CC) -c $(CCOPT) parse_options.c

parse_color.o: parse_color.c $(HEADERS)
	$(CC) -c $(CCOPT) parse_color.c

load_font.o: load_font.c $(HEADERS)
	$(CC) -c $(CCOPT) load_font.c

prepare_cursor.o: prepare_cursor.c $(HEADERS)
	$(CC) -c $(CCOPT) prepare_cursor.c

print_config.o: print_config.c $(HEADERS)
	$(CC) -c $(CCOPT) print_config.c

create_windows.o: create_windows.c $(HEADERS) garlic.xpm control.xpm
	$(CC) -c $(CCOPT) create_windows.c

make_pixmap.o: make_pixmap.c $(HEADERS)
	$(CC) -c $(CCOPT) make_pixmap.c

rgbs_from_xcolor.o: rgbs_from_xcolor.c $(HEADERS)
	$(CC) -c $(CCOPT) rgbs_from_xcolor.c

pixel_from_rgbs.o: pixel_from_rgbs.c $(HEADERS)
	$(CC) -c $(CCOPT) pixel_from_rgbs.c

size_hints.o: size_hints.c $(HEADERS)
	$(CC) -c $(CCOPT) size_hints.c

wmhints.o: wmhints.c $(HEADERS)
	$(CC) -c $(CCOPT) wmhints.c

select_events.o: select_events.c $(HEADERS)
	$(CC) -c $(CCOPT) select_events.c

hide_control.o: hide_control.c $(HEADERS)
	$(CC) -c $(CCOPT) hide_control.c

load_complex.o: load_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) load_complex.c

read_file.o: read_file.c $(HEADERS)
	$(CC) -c $(CCOPT) read_file.c

fileformat.o: fileformat.c $(HEADERS)
	$(CC) -c $(CCOPT) fileformat.c

is_pdb.o: is_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) is_pdb.c

read_pdb.o: read_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) read_pdb.c

init_header.o: init_header.c $(HEADERS)
	$(CC) -c $(CCOPT) init_header.c

pdb_atom.o: pdb_atom.c $(HEADERS)
	$(CC) -c $(CCOPT) pdb_atom.c

extract_field.o: extract_field.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_field.c

copypur.o: copypur.c $(HEADERS)
	$(CC) -c $(CCOPT) copypur.c

realloc_pdb.o: realloc_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) realloc_pdb.c

headerline.o: headerline.c $(HEADERS)
	$(CC) -c $(CCOPT) headerline.c

geomcenter.o: geomcenter.c $(HEADERS)
	$(CC) -c $(CCOPT) geomcenter.c

init_slab.o: init_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) init_slab.c

init_fading.o: init_fading.c $(HEADERS)
	$(CC) -c $(CCOPT) init_fading.c

flip_vector.o: flip_vector.c $(HEADERS)
	$(CC) -c $(CCOPT) flip_vector.c

translate_complex.o: translate_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) translate_complex.c

extent.o: extent.c $(HEADERS)
	$(CC) -c $(CCOPT) extent.c

stereo_data.o: stereo_data.c $(HEADERS)
	$(CC) -c $(CCOPT) stereo_data.c

strong_bonds.o: strong_bonds.c $(HEADERS)
	$(CC) -c $(CCOPT) strong_bonds.c

pseudo_bonds.o: pseudo_bonds.c $(HEADERS)
	$(CC) -c $(CCOPT) pseudo_bonds.c

check_dist.o: check_dist.c $(HEADERS)

## garlic 1.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 
 #CCOPT = -O
-CCOPT = -O3
+#CCOPT = -O3
 #CCOPT = -O3 -g3
 #CCOPT = -ansi -pedantic -g3
-#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
+CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
 
 HEADERS = defines.h typedefs.h
 
@@ -88,7 +88,8 @@
 		weight_colors.o angle.o radius.o select_sphere.o \
 		disulfide_bonds.o venn.o draw_venn.o spacefill2.o \
 		sp2_color.o save_seq_w_numbers.o ssb.o select_alternate.o \
-		select_model.o color_model.o window.o plot.o draw_plots.o \
+		select_model.o color_model.o window.o plot.o \
+		draw_plots.o average_hydrophobicity.o \
 		init_hyphob.o plot_mouse.o project_planes.o draw_planes.o \
 		plane_extent.o rotate_plane.o translate_plane.o \
 		comm_move.o plane.o select_above.o select_below.o big2.o \
@@ -136,7 +137,15 @@
 		small_atoms.o small_atoms2.o draw_sticks.o half_stick.o \
 		command_refresh.o acceptor_dipole.o donor_dipole.o sticks.o \
 		balls.o blur.o blur_main_window.o group.o beta_membrane.o \
-		extract_cg.o select_tm.o
+		extract_cg.o select_tm.o parse_pattern.o select_pattern.o \
+		hyphob_function1.o hyphob_function2.o hyphob_function3.o \
+		hyphob_function4.o hyphob_function5.o color_size.o \
+		command_dump.o is_aromatic.o select_3c4.o select_3cz4.o \
+		select_3c5.o select_3cz5.o select_4c5.o select_4cz5.o \
+		select_3c6.o select_3cz6.o select_4c6.o select_4cz6.o \
+		select_5c6.o select_5cz6.o select_4c7.o select_4cz7.o \
+		select_5c7.o select_5cz7.o select_5c9.o select_5cz9.o \
+		select_5p7.o select_6p7.o
 
 garlic: $(OBJECTS)
 	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)
@@ -309,22 +318,3 @@
 init_fading.o: init_fading.c $(HEADERS)
 	$(CC) -c $(CCOPT) init_fading.c
 
-flip_vector.o: flip_vector.c $(HEADERS)
-	$(CC) -c $(CCOPT) flip_vector.c
-
-translate_complex.o: translate_complex.c $(HEADERS)
-	$(CC) -c $(CCOPT) translate_complex.c
-
-extent.o: extent.c $(HEADERS)
-	$(CC) -c $(CCOPT) extent.c
-
-stereo_data.o: stereo_data.c $(HEADERS)
-	$(CC) -c $(CCOPT) stereo_data.c
-
-strong_bonds.o: strong_bonds.c $(HEADERS)
-	$(CC) -c $(CCOPT) strong_bonds.c
-
-pseudo_bonds.o: pseudo_bonds.c $(HEADERS)
-	$(CC) -c $(CCOPT) pseudo_bonds.c
-
-check_dist.o: check_dist.c $(HEADERS)

## garlic 1.5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 
 #CCOPT = -O
-#CCOPT = -O3
+CCOPT = -O3
 #CCOPT = -O3 -g3
 #CCOPT = -ansi -pedantic -g3
-CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
+#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
 
 HEADERS = defines.h typedefs.h
 
@@ -21,7 +21,7 @@
 		extract_index.o ex_rot_steps.o ex_trans_steps.o \
 		ex_slab_steps.o ex_fading_steps.o extract_args.o \
 		parse_options.o parse_color.o load_font.o prepare_cursor.o \
-		print_config.o create_windows.o make_pixmap.o \
+		print_config.o create_windows.o make_pixmap.o make_pixmap2.o \
 		rgbs_from_xcolor.o pixel_from_rgbs.o size_hints.o wmhints.o \
 		select_events.o hide_control.o load_complex.o read_file.o \
 		fileformat.o is_pdb.o read_pdb.o init_header.o pdb_atom.o \
@@ -140,12 +140,13 @@
 		extract_cg.o select_tm.o parse_pattern.o select_pattern.o \
 		hyphob_function1.o hyphob_function2.o hyphob_function3.o \
 		hyphob_function4.o hyphob_function5.o color_size.o \
-		command_dump.o is_aromatic.o select_3c4.o select_3cz4.o \
-		select_3c5.o select_3cz5.o select_4c5.o select_4cz5.o \
-		select_3c6.o select_3cz6.o select_4c6.o select_4cz6.o \
-		select_5c6.o select_5cz6.o select_4c7.o select_4cz7.o \
-		select_5c7.o select_5cz7.o select_5c9.o select_5cz9.o \
-		select_5p7.o select_6p7.o
+		command_dump.o is_aromatic.o select_2c3.o select_2cz3.o \
+		select_3c4.o select_3cz4.o select_3c5.o select_3cz5.o \
+		select_4c5.o select_4cz5.o select_3c6.o select_3cz6.o \
+		select_4c6.o select_4cz6.o select_5c6.o select_5cz6.o \
+		select_4c7.o select_4cz7.o select_5c7.o select_5cz7.o \
+		select_5c9.o select_5cz9.o select_5p7.o select_6p7.o \
+		color_weighted.o
 
 garlic: $(OBJECTS)
 	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)
@@ -258,6 +259,9 @@
 make_pixmap.o: make_pixmap.c $(HEADERS)
 	$(CC) -c $(CCOPT) make_pixmap.c
 
+make_pixmap2.o: make_pixmap2.c $(HEADERS)
+	$(CC) -c $(CCOPT) make_pixmap2.c
+
 rgbs_from_xcolor.o: rgbs_from_xcolor.c $(HEADERS)
 	$(CC) -c $(CCOPT) rgbs_from_xcolor.c
 
@@ -312,9 +316,3 @@
 geomcenter.o: geomcenter.c $(HEADERS)
 	$(CC) -c $(CCOPT) geomcenter.c
 
-init_slab.o: init_slab.c $(HEADERS)
-	$(CC) -c $(CCOPT) init_slab.c
-
-init_fading.o: init_fading.c $(HEADERS)
-	$(CC) -c $(CCOPT) init_fading.c
-

## garlic 1.6

=== Makefile ===
--- 
+++ 
@@ -88,8 +88,8 @@
 		weight_colors.o angle.o radius.o select_sphere.o \
 		disulfide_bonds.o venn.o draw_venn.o spacefill2.o \
 		sp2_color.o save_seq_w_numbers.o ssb.o select_alternate.o \
-		select_model.o color_model.o window.o plot.o \
-		draw_plots.o average_hydrophobicity.o \
+		select_model.o color_model.o window.o plot.o draw_plots.o \
+		weighted_hydrophobicity.o average_hydrophobicity.o \
 		init_hyphob.o plot_mouse.o project_planes.o draw_planes.o \
 		plane_extent.o rotate_plane.o translate_plane.o \
 		comm_move.o plane.o select_above.o select_below.o big2.o \
@@ -139,13 +139,20 @@
 		balls.o blur.o blur_main_window.o group.o beta_membrane.o \
 		extract_cg.o select_tm.o parse_pattern.o select_pattern.o \
 		hyphob_function1.o hyphob_function2.o hyphob_function3.o \
-		hyphob_function4.o hyphob_function5.o color_size.o \
-		command_dump.o is_aromatic.o select_2c3.o select_2cz3.o \
-		select_3c4.o select_3cz4.o select_3c5.o select_3cz5.o \
-		select_4c5.o select_4cz5.o select_3c6.o select_3cz6.o \
-		select_4c6.o select_4cz6.o select_5c6.o select_5cz6.o \
-		select_4c7.o select_4cz7.o select_5c7.o select_5cz7.o \
-		select_5c9.o select_5cz9.o select_5p7.o select_6p7.o \
+		hyphob_function4.o hyphob_function5.o hyphob_function6.o \
+		hyphob_function7.o color_size.o command_dump.o is_aromatic.o \
+		select_2c3.o select_2cz3.o select_2nz3.o \
+		select_3c4.o select_3cz4.o select_3nz4.o \
+		select_3c5.o select_3cz5.o select_3nz5.o select_3p5.o \
+		select_4c5.o select_4cz5.o select_4nz5.o \
+		select_3c6.o select_3cz6.o select_3nz6.o \
+		select_4c6.o select_4cz6.o select_4nz6.o select_4p6.o \
+		select_5c6.o select_5cz6.o select_5nz6.o \
+		select_4c7.o select_4cz7.o select_4nz7.o \
+		select_5c7.o select_5cz7.o select_5nz7.o select_5p7.o \
+		select_6p7.o \
+		select_4c9.o select_4cz9.o select_4nz9.o \
+		select_5c9.o select_5cz9.o select_5nz9.o \
 		color_weighted.o
 
 garlic: $(OBJECTS)
@@ -303,16 +310,3 @@
 
 extract_field.o: extract_field.c $(HEADERS)
 	$(CC) -c $(CCOPT) extract_field.c
-
-copypur.o: copypur.c $(HEADERS)
-	$(CC) -c $(CCOPT) copypur.c
-
-realloc_pdb.o: realloc_pdb.c $(HEADERS)
-	$(CC) -c $(CCOPT) realloc_pdb.c
-
-headerline.o: headerline.c $(HEADERS)
-	$(CC) -c $(CCOPT) headerline.c
-
-geomcenter.o: geomcenter.c $(HEADERS)
-	$(CC) -c $(CCOPT) geomcenter.c
-

=== debian/changelog ===
garlic (1.6-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs-fields to Salsa
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 02 Jan 2019 14:45:42 +0100

garlic (1.6-2) unstable; urgency=low

  * Acknowledge NMU (closes: #666285).

  [ Daniel Leidert ]
  * debian/compat: Bumped to compatibility level 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Increased required debhelper version.
    (Depends): Fixed debhelper-but-no-misc-depends.
    (Vcs-Svn): Fixed not recommended URI format (closes: #669296).
    (Vcs-Browser): Fixed URL.
  * debian/copyright: Minor updates.
  * debian/garlic.1: ROFF updates for easier maintenance in the future.
    Updated some information regarding the website and registration.
  * debian/rules: Exclude all example files from being compressed. Fix script
    permissions to avoid executable-not-elf-or-script lintian warning.
    Rewritten for debhelper 7.

  [ Andreas Tille ]
  * debian/upstream/metadata: Added citations mentioned on upstream homepage
  * debian/control: Fix Vcs-Svn field
  * Moved packaging from SVN to Git
  * debian/source/format: 3.0 (quilt)
  * Add myself to Uploaders
  * Remove debian/menu since there is a desktop file
  * DEP5
  * Removed: DM-Upload-Allowed
  * cme fix dpkg-control
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make (Thanks for the
    patch to Helmut Grohne <helmut@subdivi.de>)
    Closes: #872431
  * debhelper 10
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2017 21:05:26 +0100

garlic (1.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: cp: cannot stat `./garlic': No such file or directory":
    add build-arch target in debian/rules.
    (Closes: #666285)

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Apr 2012 14:16:47 +0200

garlic (1.6-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/control (Description): Fixed Homepage: URL, thanks to Charles
    Plessy; closes: #396718.
  * debian/control (XS-DM-Upload-Allowed): Added.

  [ LI Daobing ]
  * debian/garlic.desktop: Fix warning for desktop-file-validate.
  * debian/rules (binary/garlic): Change all script's permissions to 644.

  [ Daniel Leidert ]
  * debian/compat: Raised to v5.
  * debian/control: Homepage field transition. Added Vcs fields.
    (Maintainer): Set the debichem team as maintainer.
    (Standards-Version): Updated to latest version 3.7.3.
    (Build-Depends): Raised debhelper to v5.
  * debian/copyright: Fixed outdated FSF address. Fixed local reference
    to point to GPL-2.
  * debian/dirs: Removed (useless).
  * debian/garlic.1: Fixed manpage-has-bad-whatis-entry issue
    (closes: #392228). Improved the manpage slightly (applied upstream too).
  * debian/garlic.desktop: Removed deprecated Encoding key. Added Chemistry
    category.
  * debian/menu: Updated to latest menu policy. Added longtitle.
  * debian/rules: Added the langcore.mk class to determine CFLAGS. Moved all
    rules and classes to the top.
    (build): Tell make to override CCOPT.
    (clean): Use the -f switch for rm instead to ignore the return value.
  * debian/watch: Added watch file. Thanks to Justin Pryzby for his help.
  * debian/patches/01_CFLAGS_fix.patch: Dropped in favour of simply giving
    CCOPT via debian/rules. Added the langcore.mk class to determine CFLAGS.

 -- Michael Banck <mbanck@debian.org>  Mon, 11 Feb 2008 22:06:09 +0100

garlic (1.5-2) unstable; urgency=low

  * Sync with Ubuntu.

 -- Michael Banck <mbanck@debian.org>  Tue, 26 Sep 2006 00:01:48 +0200

garlic (1.5-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Added .desktop.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Tue, 12 Sep 2006 14:41:15 +1000

garlic (1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_CFLAGS_fix.patch: Updated.
  * debian/control (Description): Removed Keywords, added Homepage.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Sep 2006 16:24:04 +0200

garlic (1.4-1ubuntu1) dapper; urgency=low

  * Add desktop file from Phill Bull (Closes Malone: #36375)

 -- Barry deFreese <bddebian@comcast.net>  Sun,  9 Apr 2006 17:07:36 -0400

garlic (1.4-1) unstable; urgency=low

  * New upstream release; closes: #280300.
  * debian/copyright: Updated download location; closes: #280301.
  * debian/copyright: Updated upstream author's email address.
  * debian/rules: Include simple-patchsys.mk.
  * debian/patches/01_CFLAGS_fix.patch: New file. Use $(CFLAGS). This
    patch was previously shipped directly in the Debian diff.

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Nov 2004 17:41:54 +0100

garlic (1.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Replace xlibs-dev with libx11-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 18 Apr 2004 04:33:40 +0200

garlic (1.3-2) unstable; urgency=low

  * debian/control (Build-Depends):
    - Added cdbs.
    - Bumped required debhelper version to (>> 4.1.0).
  (Standards-Version): Bumped to 3.6.1.0.
  * debian/rules: Rewritten for cdbs.
  * debian/install, debian/manpages: New files.
  * debian/copyright: Added note about current maintainer.

 -- Michael Banck <mbanck@debian.org>  Wed, 24 Sep 2003 20:18:10 +0200

garlic (1.3-1) unstable; urgency=low

  * New upstream release
  * Moved menu entry from Math to Science section
  * Removed debian/conffiles, debhelper takes care of /etc/garlicrc
  * Don't use dh_listpackages in debian/rules, makes porting to GNU/Hurd
    easier
  * Bumped debhelper Build-Depends to (>> 3.0.0)
  * Updated manpage
  * Removed garlicrc from examples

 -- Michael Banck <mbanck@debian.org>  Sat,  5 Apr 2003 13:35:30 +0200

garlic (1.2-2) unstable; urgency=low

  * Fixed manpage; closes: #176632

 -- Michael Banck <mbanck@debian.org>  Tue, 14 Jan 2003 12:39:21 +0100



=== debian/control ===
Source: garlic
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debichem-team/garlic
Vcs-Git: https://salsa.debian.org/debichem-team/garlic.git
Homepage: http://www.zucic.org/garlic/

Package: garlic
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: garlic-doc,
          openbabel
Description: visualization program for biomolecules
 Garlic is written for the investigation of membrane proteins. It may be
 used to visualize other proteins, as well as some geometric objects.
 This version of garlic recognizes PDB format version 2.1. Garlic may
 also be used to analyze protein sequences.
 .
 It only depends on the X libraries, no other libraries are needed.
 .
 Features include:
  - The slab position and thickness are visible in a small window.
  - Atomic bonds as well as atoms are treated as independent drawable
    objects.
  - The atomic and bond colors depend on position. Five mapping modes
    are available (as for slab).
  - Capable to display stereo image.
  - Capable to display other geometric objects, like membrane.
  - Atomic information is available for atom covered by the mouse
    pointer. No click required, just move the mouse pointer over the
    structure!
  - Capable to load more than one structure.
  - Capable to draw Ramachandran plot, helical wheel, Venn diagram,
    averaged hydrophobicity and hydrophobic moment plot.
  - The command prompt is available at the bottom of the main window.
    It is able to display one error message and one command string.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := garlic

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean *.o garlicrc garlic

override_dh_auto_build:
	dh_auto_build -- CCOPT="$(CFLAGS)"
	cp .garlicrc garlicrc

override_dh_compress:
	dh_compress -Xusr/share/doc/$(PACKAGE)/examples
	chmod 644 $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/*.script

=== debian/watch ===
# See uscan(1) for format

version=3
opts=downloadurlmangle=s/([^\/]+)$/$1\/$1.tar.gz/,filenamemangle=s/.*\/garlic-([\d\.]+)/garlic-$1.tar.gz/ \
  http://www.zucic.org/garlic/download/index.html \
  http://www.zucic.org/sources/garlic-([\d\.]+)
